function [Gr,P,St]=unrav_og(z,b,m,C,Gr,P,St)
% Subroutine OLDG for the unravelling algorithm

g = Gr(b);
p = P(b);
s = St(b);
e = z;		% current cell (known properties)

% Set
Gr(e) = g;	% group number
P(e) = p;	% periodicity number
St(e) = s+m;	% step number

% Set properties for all cells in the sequence
for j=1:m-1
	e=C(e);
	Gr(e)=g;
	P(e)=p;
	St(e)=s+m-j;
end