function pvect = gcm_get_partitions(xref,FLAG_SINK)
% Find discretization
%
%   pvect = gcm_get_partitions(vect)
%
% pvect     vector with all different elements from vect, sorted 

% check for sink cell, and remove it
if nargin<2, FLAG_SINK = 0; if ~all(isfinite(xref)), FLAG_SINK = 1; end; end
if FLAG_SINK, xref = xref(isfinite(xref)); end

% sort and remove duplicates
sxref = sort(xref);
ivect = [1 find(diff(sxref))+1];
pvect = sxref(ivect);

